Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicColorChooserUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ColorChooserUI
                  |
                  +--javax.swing.plaf.basic.BasicColorChooserUI

public class BasicColorChooserUI
extends ColorChooserUI

Provides the basic look and feel for a JColorChooser.

Inner Class Summary
`class` | `BasicColorChooserUI.PropertyHandler` This inner class is marked "public" due to a compiler bug.

Field Summary
`protected AbstractColorChooserPanel[]` | `defaultChoosers`
`protected ChangeListener` | `previewListener`
`protected java.beans.PropertyChangeListener` | `propertyChangeListener`

Constructor Summary
`BasicColorChooserUI()`

Method Summary
`protected AbstractColorChooserPanel[]` | `createDefaultChoosers()`
`protected java.beans.PropertyChangeListener` | `createPropertyChangeListener()`
`static ComponentUI` | `createUI(JComponent c)`
`protected void` | `installDefaults()`
`protected void` | `installListeners()`
`protected void` | `installPreviewPanel()`
`void` | `installUI(JComponent c)`
`protected void` | `uninstallDefaultChoosers()`
`protected void` | `uninstallDefaults()`
`protected void` | `uninstallListeners()`
`void` | `uninstallUI(JComponent c)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultChoosers

    protected AbstractColorChooserPanel[] defaultChoosers

### previewListener

    protected ChangeListener previewListener

### propertyChangeListener

    protected java.beans.PropertyChangeListener propertyChangeListener

Constructor Detail

### BasicColorChooserUI

    public BasicColorChooserUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### createDefaultChoosers

    protected AbstractColorChooserPanel[] createDefaultChoosers()

### uninstallDefaultChoosers

    protected void uninstallDefaultChoosers()

### installUI

    public void installUI(JComponent c)

  Overrides:
    installUI in class ComponentUI

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    uninstallUI in class ComponentUI

### installPreviewPanel

    protected void installPreviewPanel()

### installDefaults

    protected void installDefaults()

### uninstallDefaults

    protected void uninstallDefaults()

### installListeners

    protected void installListeners()

### createPropertyChangeListener

    protected java.beans.PropertyChangeListener createPropertyChangeListener()

### uninstallListeners

    protected void uninstallListeners()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.